Loading...
Searching...
No Matches
database_archives.hpp File Reference
API

this file stores the list of archives a database has been built from. it is part of the database header More...

`#include "../my_config.h"`
`#include <deque>`
`#include <string>`

Go to the source code of this file.

## Classes

class | libdar::database_archives
| datastructure managing a member of the list of archives used by a database More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Typedefs

using | libdar::database_archives_list = std::deque< database_archives >
| list of archives found in a database

## Detailed Description

this file stores the list of archives a database has been built from. it is part of the database header

Definition in file database_archives.hpp.